Fixing PHPStorm after an OSX Mavericks update

OSX MavericksI use PHPStorm for all my development – it’s a robust and very featured IDE that has got even better recently since version 7 was released. As such it’s the application I spend a large percentage of my working day in, and therefore typical that it’s the source of another issue with OSX Mavericks after my previous issue with Vagrant. PHPStorm simply refuses to start after a OSX Mavericks update.

So how do we go about fixing PHPStorm after an OSX Mavericks update?

The issue is that OSX Mavericks doesn’t come with Java 6 installed, which is what PHPStorm requires to run. To fix it, go here and install the official Java package for OSX. After install, PHP Storm will work again.

Hooray. Maybe now I can actually get some work done today…

About Stu Miller

Web consultant and specialist, WordPress developer and PHP developer based in Leeds, UK. 15 years experience in architecting web sites and applications. Co-founder and Technical Director of SmartInsights.com, formerly the same of First 10 Digital

, ,

4 Responses to Fixing PHPStorm after an OSX Mavericks update

  1. SilverFox October 29, 2013 at 4:44 pm #

    Thanks for the post – for any others wishing to get some work done, you were absolutely correct! The download links is correct and all works a treat.

  2. Dan November 8, 2013 at 3:38 am #

    Thanks a ton for sharing!

  3. Andy November 25, 2013 at 4:51 pm #

    That worked – thanks for the tip!

  4. aserrano1971 June 24, 2014 at 8:39 am #

    Thanks for the comments. Just upgraded the computer with a SSD and PHPStorm is the only app that is not working 🙂

Leave a Reply